Page MenuHomePhabricator

Fix unclear maintenance responsibilities for some parts of MediaWiki core repository
Closed, ResolvedPublic

Description

This might be an epic task that is very hard to fix but let's document this problem at least in public.
This is one outcome from T113378: Lessons learned from the first Gerrit Cleanup Day.

There seems to be unclear responsibility for some parts of MediaWiki core so nobody looks at its proposed changes in Gerrit.

Related links:

Related Objects

StatusSubtypeAssignedTask
ResolvedQgil
ResolvedDicortazar
DuplicateQgil
ResolvedQgil
ResolvedQgil
InvalidNone
InvalidNone
ResolvedQgil
Resolved Aklapper
DeclinedNone
DeclinedNone
OpenNone
Resolved Aklapper
Resolved Aklapper
Resolved Aklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
Resolved Aklapper
ResolvedDicortazar
ResolvedDicortazar
DuplicateNone
ResolvedDicortazar
ResolvedBawolff
Resolvedmmodell
ResolvedNone
Resolvedmmodell
Resolved Aklapper
Resolved Aklapper
Resolved Aklapper
Resolved Aklapper
ResolvedNone
Resolvedgreg
ResolvedLegoktm
Resolvedtstarling
Resolvedgreg

Event Timeline

Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.

I think the page that ought to capture this is https://www.mediawiki.org/wiki/Developers/Maintainers, so I added {{tracked}} to that page. I understand managers have a Google spreadsheet somewhere that also covers areas of responsibility.

I think we should aim at replacing individual names in that wiki tables with direct links to tags/projects in phab. This encourages people to use tickets rather than pinging individuals on IRC and is more effective. People interested in an area tend to subscribe to that specfic tag. There are usually multiple people who would reply to a ticket rather than just one owner. Information on the wiki page will also be regularly outdated (look at it right before JohnLewis just made an update:). Trying to find a single owner to everything can be counter-productive, adds unnecessary SPOFs and encourages working in private messages or emails rather than having group input. We should encourage people to just assing tickets to general teams/projects/tags. It usually works better.

Old MW Core team page with its responsibilities: https://www.mediawiki.org/wiki/Wikimedia_MediaWiki_Core_Team

Internal / non-public page that brought up the topic of WMF's Core maintenance: https://office.wikimedia.org/wiki/Engineering/New_core_team (I'll try to summarize if there's specific bits and pieces.)

Nemo_bis renamed this task from Unclear maintenance responsibilities for some parts of MediaWiki core repository? to Unclear maintenance responsibilities for some parts of MediaWiki core repository.Jan 3 2016, 12:37 PM

@RobLa, just curious, which working group would be responsible for a task like this one? I don't think Developer-Advocacy should be the team in charge for solving it, even if our "customers" (volunteers willing to contribute patches) suffer from it.

@QuimGil - I'm not sure, could you nominate your suggestion from the existing working groups?

I would like to think that having identified maintainers for open source software used by top Internet sites is a matter of excellence in Software Engineering more than a matter of good Collaboration. Therefore, I think this problem should be primarily within the scope of Software Engineering, and Collaboration would be a secondary helper.

If there is no clarity in the areas, then the ArchCom should keep this problem close to their mission and heart. As an architect you wouldn't want to build a structure with blocks that you have no idea who is responsible for.

Quick notes from archcom meeting:

  • the various proposals on office wiki for a new team need to be clarified and the differences between them resolved; more discussion required
  • need to determine a shepherd on archcom side? (@brion and @RobLa have made some of the proposals so maybe we're not best as shepherd)
  • there is some time sensitivity in terms of catching the WMF budget train for next fiscal year, so keep momentum going
Aklapper renamed this task from Unclear maintenance responsibilities for some parts of MediaWiki core repository to Fix unclear maintenance responsibilities for some parts of MediaWiki core repository.Mar 7 2016, 12:00 PM
RobLa-WMF changed the task status from Open to Stalled.Jul 13 2016, 6:57 PM
RobLa-WMF moved this task from Under discussion to (unused) on the TechCom-RFC board.
RobLa-WMF added a subscriber: Dzahn.

There is a leadership opportunity for someone who the energy and interest to solve this. It will likely require spending a lot of energy and political capital (certainly for anyone employed by WMF), as it involves getting people to learn and maintain code that they weren't responsible for writing.

It would seem that @Spage's suggestion (T115852#1758965) to update mw:Developers/Maintainers is a great idea, and @Dzahn's suggestion (T115852#1796988) to make it component-based is also really good advice. Who is willing to do that work?

At the arch summit I said I would work on this after the 1.27 release, and it kind of dropped off my radar. I'll work on this later this week.

T149533#2956629 implies that the creation of a "MediaWiki Core team" will be discussed within the next 18 months.

Aklapper changed the task status from Stalled to Open.Mar 29 2017, 12:30 PM
tstarling claimed this task.
tstarling added a subscriber: tstarling.

I think this is resolved, the update to mw:Developers/Maintainers for the MediaWiki Platform team kickoff was done on March 21